/*
 * Copyright (c) 2003-2008 The Ochusha Project.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: hvpaned.h,v 1.9 2008/09/24 11:25:13 fuyu Exp $
 */

#ifndef _LIBOCHUSHAGTK_HVPANED_H_
#define _LIBOCHUSHAGTK_HVPANED_H_

#include <gtk/gtk.h>
#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
  OCHUSHA_HPANED_STYLE,
  OCHUSHA_VPANED_STYLE
} OchushaPaneStyleType;

#define OCHUSHA_TYPE_PANE_STYLE		(ochusha_pane_style_get_type())
GType ochusha_pane_style_get_type(void) G_GNUC_CONST;


#define OCHUSHA_TYPE_HVPANED		(ochusha_hvpaned_get_type())
#define OCHUSHA_HVPANED(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), OCHUSHA_TYPE_HVPANED, OchushaHVPaned))
#define OCHUSHA_HVPANED_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST((klass), OCHUSHA_TYPE_HVPANED, OchushaHVPanedClass))
#define OCHUSHA_IS_HVPANED(obj)		(G_TYPE_CHECK_INSTANCE_TYPE((obj), OCHUSHA_TYPE_HVPANED))
#define OCHUSHA_IS_HVPANED_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), OCHUSHA_TYPE_HVPANED))
#define OCHUSHA_HVPANED_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), OCHUSHA_TYPE_HVPANED, OchushaHVPanedClass))


typedef struct _OchushaHVPaned OchushaHVPaned;
typedef struct _OchushaHVPanedClass OchushaHVPanedClass;

struct _OchushaHVPaned
{
  GtkPaned container;
  OchushaPaneStyleType pane_style;

  gboolean had_child2;
};


struct _OchushaHVPanedClass
{
  GtkPanedClass parent_class;
};


GType ochusha_hvpaned_get_type(void) G_GNUC_CONST;

GtkWidget *ochusha_hvpaned_new(OchushaPaneStyleType style);
void ochusha_hvpaned_set_pane_style(OchushaHVPaned *hvpaned,
				    OchushaPaneStyleType style);
OchushaPaneStyleType ochusha_hvpaned_get_pane_style(OchushaHVPaned *hvpaned);


#ifdef __cplusplus
} // extern "C"
#endif

#endif	/* _LIBOCHUSHAGTK_HVPANED_H_ */
