/* -*- c++ -*-
 * Copyright (c) 2003-2008 The Ochusha Project.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: tree_ui.h,v 1.23 2008/09/24 11:56:59 fuyu Exp $
 */

#ifndef _TREE_UI_H_
#define _TREE_UI_H_

#ifdef __cplusplus

#if defined(__GNUG__) && !defined(__ICC)
#pragma interface
#endif

#include <gtk/gtk.h>


using namespace std;
namespace Ochusha
{
  class Controller;

  class TreeUI
  {
  private:
    Controller &controller;

    GtkActionGroup *action_group;

    GtkActionGroup *create_action_group();


    // ݥåץåץ˥塼Ϣ
    static void new_folder_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void toggle_hide_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void hide_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void kill_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void copy_name_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void copy_name_url_cb(GtkAction *action, GtkUIManager *ui_manager);
    static void properties_cb(GtkAction *action, GtkUIManager *ui_manager);


  public:
    TreeUI(Controller &controller);
    ~TreeUI();

    inline Controller &get_controller() { return controller; }
  };


}


#endif	/* __cplusplus */

#endif	/* _TREE_UI_H_ */
